using Godot;
using System;

public partial class QueueActionDisplay : HBoxContainer
{
        private Label name;
        private Label index;
        public Node link;

        public override void _Ready()
        {
                // Labels
                name = GetNode<Label>("NamePanel/Margin/Name");
                index = GetNode<Label>("IndexPanel/Margin/Index");

                set_data(0, "...", null);
        }

        public void set_data(int i, string _name, Node _link)
        {
                name.Text = _name;
                index.Text = i.ToString() + ".";
                link = _link;
        }

        public void set_index(int i)
        {
                index.Text = i.ToString() + ".";
        }

        public void clear_data()
        {
                name.Text = "<Empty>";
                link = null;
        }
}
